// Angular Imports
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { HttpModule, RequestOptions, XHRBackend, Http } from '@angular/http';

import { FlexLayoutModule } from '@angular/flex-layout';
import { MaterialModule } from '@angular/material';

import { DemoAppComponent } from './components/demo-app/demo-app.component';
import { InputDemoComponent } from './components/input-demo/input-demo.component';
import { PositionDemoComponent } from './components/position-demo/position-demo.component';
import { InteractiveDemoComponent } from './components/interactive-demo/interactive-demo.component';

import { VisibleDemoComponent } from './components/visible-demo/visible-demo.component';
import { gistPopoverModule } from '../gist-popovers/gistPopover.module';
@NgModule( {
    imports: [
        BrowserModule,
        FormsModule,
        FlexLayoutModule,
        HttpModule,
        MaterialModule,
        gistPopoverModule
    ],
    declarations: [
        DemoAppComponent,
        InputDemoComponent,
        PositionDemoComponent,
        VisibleDemoComponent,
        InteractiveDemoComponent
    ],
    bootstrap: [
        DemoAppComponent
    ]
} )
export class DemoModule { }

